<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\WlBudgetsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\WlBudgetsTable Test Case
 */
class WlBudgetsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\WlBudgetsTable
     */
    public $WlBudgets;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.wl_budgets',
        'app.budget',
        'app.wl_schooltypes'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('WlBudgets') ? [] : ['className' => WlBudgetsTable::class];
        $this->WlBudgets = TableRegistry::get('WlBudgets', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->WlBudgets);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
